Name:           python-django-silk
Version:        5.4.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Silky smooth profiling for the Django Framework

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/jazzband/django-silk
Source:         %{pypi_source django_silk}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'django-silk' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-django-silk
Summary:        %{summary}

%description -n python3-django-silk %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-django-silk formatting


%prep
%autosetup -p1 -n django_silk-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x formatting


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-django-silk -f %{pyproject_files}


%changelog
%autochangelog